"use strict";

var _common = require("test/common");

var _binary = _interopRequireDefault(require("test/binary"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('Monotone Chain Convex Hull', function () {
  it('should return the convex hull', function () {
    let image = new _common.Image(8, 8, (0, _binary.default)`
        00000000
        00011000
        00011000
        00111111
        00111111
        00011000
        00011000
        00000000
      `, {
      kind: 'BINARY'
    });
    expect(image.monotoneChainConvexHull()).toStrictEqual([[2, 3], [2, 4], [3, 6], [4, 6], [7, 4], [7, 3], [4, 1], [3, 1]]);
  });
  it('should return the convex hull for one point', function () {
    let image = new _common.Image(1, 1, (0, _binary.default)`
        10000000
      `, {
      kind: 'BINARY'
    });
    expect(image.monotoneChainConvexHull()).toStrictEqual([]);
  });
  it('should return the convex hull for two points', function () {
    let image = new _common.Image(1, 2, (0, _binary.default)`
        11000000
      `, {
      kind: 'BINARY'
    });
    expect(image.monotoneChainConvexHull()).toStrictEqual([[0, 0], [0, 1]]);
  });
});