"use strict";

var _fs = require("fs");

var _common = require("test/common");

describe('Load JPEG', function () {
  const tests = [// ['name', components, alpha, bitDepth]
  ['grey6', 3, 1, 8], ['grey12', 3, 1, 8], ['rgb6', 3, 1, 8], ['rgb12', 3, 1, 8]];
  it.each(tests)('should load from path %s', async (name, components, alpha, bitDepth) => {
    const img = await (0, _common.load)(`format/jpg/${name}.jpg`);
    expect(img.components).toBe(components);
    expect(img.alpha).toBe(alpha);
    expect(img.bitDepth).toBe(bitDepth);
  });
  it.each(tests)('should load from buffer %s', async (name, components, alpha, bitDepth) => {
    const data = (0, _fs.readFileSync)((0, _common.getImage)(`format/jpg/${name}.jpg`));
    const img = await _common.Image.load(data);
    expect(img.components).toBe(components);
    expect(img.alpha).toBe(alpha);
    expect(img.bitDepth).toBe(bitDepth);
  });
});