"use strict";

var _common = require("test/common");

var _binary = _interopRequireDefault(require("test/binary"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('floodFill', function () {
  it('should fill the binary image', function () {
    const image = new _common.Image(8, 5, (0, _binary.default)`
        00100000
        00110000
        00010000
        00111000
        11110000
    `, {
      kind: 'BINARY'
    });
    image.floodFill();
    const filled = new _common.Image(8, 5, (0, _binary.default)`
        11100000
        11110000
        11110000
        11111000
        11110000
    `, {
      kind: 'BINARY'
    });
    expect(image.data).toStrictEqual(filled.data);
  });
  it('should fill the binary image (not in place)', function () {
    const image = new _common.Image(8, 5, (0, _binary.default)`
        00100000
        00110000
        00010000
        00111000
        11110000
    `, {
      kind: 'BINARY'
    });
    const result = image.floodFill({
      inPlace: false
    });
    const filled = new _common.Image(8, 5, (0, _binary.default)`
        11000000
        11000000
        11100000
        11000000
        00000000
    `, {
      kind: 'BINARY'
    });
    expect(result.data).toStrictEqual(filled.data);
    expect(image.data).toStrictEqual((0, _binary.default)`
        00100000
        00110000
        00010000
        00111000
        11110000
    `);
  });
});