"use strict";

var _common = require("test/common");

var _fromPoints = _interopRequireDefault(require("../fromPoints"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('we check createROIMapFromPixels', function () {
  it('should yield the right map', function () {
    let image = new _common.Image(5, 5, {
      kind: 'GREY'
    });
    let pixels = [[1, 1], [3, 2], [4, 4], [5, 0]];

    let mapData = _fromPoints.default.call(image, pixels, {
      kind: 'smallCross'
    }).data;

    expect(Array.from(mapData)).toStrictEqual([0, 1, 0, 0, 4, 1, 1, 1, 2, 0, 0, 1, 2, 2, 2, 0, 0, 0, 2, 3, 0, 0, 0, 3, 3]);
  });
});