"use strict";

var _common = require("test/common");

var _binary = _interopRequireDefault(require("test/binary"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

test('insert on grey image', function () {
  let img = new _common.Image(3, 4, [100, 200, 100, 100, 100, 100, 100, 100, 100, 100, 100, 200], {
    kind: 'GREY'
  });
  let toInsert = new _common.Image(2, 2, [0, 255, 0, 0], {
    kind: 'GREY'
  });
  expect(img.insert(toInsert).data).toStrictEqual([0, 255, 100, 0, 0, 100, 100, 100, 100, 100, 100, 200]);
});
test('insert on binary image', function () {
  let mask = new _common.Image(5, 5, (0, _binary.default)`
      11111
      11111
      11111
      11111
      11111
    `, {
    kind: 'BINARY'
  });
  let toInsert = new _common.Image(4, 3, (0, _binary.default)`
     0001
     0101
     0001
    `, {
    kind: 'BINARY'
  });
  expect(mask.insert(toInsert).data).toStrictEqual((0, _binary.default)`
        00011
        01011
        00011
        11111
        11111
    `);
  expect(mask.insert(toInsert, {
    x: 1,
    y: 1
  }).data).toStrictEqual((0, _binary.default)`
        11111
        10001
        10101
        10001
        11111
      `);
  expect(mask.insert(toInsert, {
    x: 4,
    y: 4
  }).data).toStrictEqual((0, _binary.default)`
        11111
        11111
        11111
        11111
        11110
      `);
});