"use strict";

var _common = require("test/common");

var _binary = _interopRequireDefault(require("test/binary"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('we check getPixelsGrid', function () {
  it('should yield the right array of pixels in presence of a mask', function () {
    let size = 6;
    let data = new Array(size * size);

    for (let i = 0; i < data.length; i++) {
      data[i] = i;
    }

    let image = new _common.Image(size, size, data, {
      kind: 'GREY'
    });
    const maskData = (0, _binary.default)`
        000000
        010010
        000000
        000000
        000000
        000000
    `;
    let mask = new _common.Image(size, size, maskData, {
      kind: 'BINARY'
    });
    let pixels = image.getPixelsGrid({
      sampling: [2, 2],
      painted: false,
      mask: mask
    });
    expect(pixels.xyS).toStrictEqual([[1, 1], [4, 1]]);
    expect(pixels.zS).toStrictEqual([[7], [10]]);
    expect(typeof pixels.painted).toBe('undefined');
  });
});