"use strict";

var _histogram = require("../histogram");

describe('we check histogram utilities', function () {
  it('should check meanFromHistogram', function () {
    expect((0, _histogram.mean)([10, 10, 10, 10])).toBe(1.5);
    expect((0, _histogram.mean)([0, 2, 2, 0, 4, 0])).toBe(2.75);
  });
  it('should check medianFromHistogram', function () {
    expect((0, _histogram.median)([10, 10, 10, 10])).toBe(1.5);
    expect((0, _histogram.median)([0, 2, 2, 0, 4, 0])).toBe(3);
  });
  it('should get the right value for medianFromHistogram with odd total', function () {
    expect((0, _histogram.median)([0, 0, 3, 0, 0])).toBe(2);
    expect((0, _histogram.median)([0, 1, 1, 1, 0])).toBe(2);
    expect((0, _histogram.median)([1, 1, 1, 0, 0])).toBe(1);
    expect((0, _histogram.median)([1, 0, 0, 0, 0])).toBe(0);
    expect((0, _histogram.median)([0, 0, 0, 0, 1])).toBe(4);
    expect((0, _histogram.median)([0, 0, 3, 0])).toBe(2);
    expect((0, _histogram.median)([0, 1, 1, 1])).toBe(2);
    expect((0, _histogram.median)([1, 1, 1, 0])).toBe(1);
    expect((0, _histogram.median)([1, 0, 0, 0])).toBe(0);
    expect((0, _histogram.median)([0, 0, 0, 1])).toBe(3);
  });
  it('should get the right value for medianFromHistogram with even total', function () {
    expect((0, _histogram.median)([0, 0, 4, 0, 0])).toBe(2);
    expect((0, _histogram.median)([0, 1, 2, 1, 0])).toBe(2);
    expect((0, _histogram.median)([1, 2, 1, 0, 0])).toBe(1);
    expect((0, _histogram.median)([0, 0, 0, 0, 4])).toBe(4);
    expect((0, _histogram.median)([0, 0, 1, 1, 0])).toBe(2.5);
    expect((0, _histogram.median)([4, 0, 0, 0, 0])).toBe(0);
    expect(() => (0, _histogram.median)([0, 0, 0, 0, 0])).toThrow(/unreachable/);
    expect((0, _histogram.median)([1, 0, 0, 0, 1])).toBe(2);
  });
});