# is-audio-buffer [![Build Status](https://travis-ci.org/audiojs/is-audio-buffer.svg?branch=master)](https://travis-ci.org/audiojs/is-audio-buffer) [![Greenkeeper badge](https://badges.greenkeeper.io/audiojs/is-audio-buffer.svg)](https://greenkeeper.io/) [![stable](http://badges.github.io/stability-badges/dist/stable.svg)](http://github.com/badges/stability-badges)


Check whether an object is instance of [AudioBuffer](http://webaudio.github.io/web-audio-api/#AudioBuffer).

## Usage

[![npm install is-audio-buffer](https://nodei.co/npm/is-audio-buffer.png?mini=true)](https://npmjs.org/package/is-audio-buffer/)

```js
var isAudioBuffer = require('is-audio-buffer');
var ctx = require('audio-context');
var AudioBuffer = require('audio-buffer');


isAudioBuffer(ctx.createBuffer(2, 100, 44100)); //true
isAudioBuffer(new AudioBuffer([1, 0, 1, 0])); //true
isAudioBuffer(new Float32Array([1, 2, 3])); //false
isAudioBuffer(); //false
```

Because there is too many implementations of AudioBuffer ([1](https://www.npmjs.com/package/audiobuffer), [2](https://www.npmjs.com/package/audio-buffer), [3](https://github.com/sebpiq/node-web-audio-api/blob/master/lib/AudioBuffer.js), [4](https://developer.mozilla.org/en-US/docs/Web/API/AudioBuffer)) to rely on `a instanceof AudioBuffer`.
