'use strict';

var assert = require('assert');
var isAudioBuffer = require('./');
var ABuf = require('audio-buffer');
var isBrowser = require('is-browser');
var ctx = require('audio-context')();
var ABuf2 = require('audiobuffer');
var ABuf3 = require('web-audio-api/lib/AudioBuffer');
var ABuf4 = require('audio-buffer-list')

//Known buffers
assert(isAudioBuffer(new ABuf(ctx, {length: 200})));
isBrowser && assert(isAudioBuffer(ctx.createBuffer(1, 100, 44100)));
assert(isAudioBuffer(new ABuf2(1, 200, 44100)));
assert(isAudioBuffer(new ABuf3(1, 200, 44100)));
assert(!isAudioBuffer(new ABuf4()));

//False objects
assert(!isAudioBuffer(new Buffer(2)));
assert(!isAudioBuffer());
assert(!isAudioBuffer(undefined));
assert(!isAudioBuffer(null));
assert(!isAudioBuffer(''));
assert(!isAudioBuffer(true));
assert(!isAudioBuffer(false));
assert(!isAudioBuffer(0));
assert(!isAudioBuffer(1));
assert(!isAudioBuffer(1.0));
assert(!isAudioBuffer('string'));
assert(!isAudioBuffer({}));
assert(!isAudioBuffer(function () {}));
assert(!isAudioBuffer(/x/));
assert(!isAudioBuffer(new Array(20)));
assert(!isAudioBuffer(new Float32Array(20)));
